QGIS Application - Feature request #3921
QgsLegendGroup:insert must return a value
2006-03-24 02:03 PM - Mateusz Loskot -

Status: Closed

Priority: Low

Assignee: Gary Sherman

Category: GUI

Pull Request or Patch supplied: Resolution: fixed
Easy fix?: No Copied to github as #: 13945
Description

This member function seems to be not finished, so | added my comment about that I'm not sure what value should it return:

bool [[QgsLegendGroup]]::insert(QgsLegendltem™ theltem)

{
if(theltem->type() == LEGEND_LAYER)
{
addChild(theltem);
1

/I XXX - mloskot - | don't know what to return
// but this function must return a value
return true;

History

#1 - 2006-03-25 05:31 PM - Gary Sherman
- Resolution set to fixed
- Status changed from Open to Closed

Already fixed in HEAD

#2 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted
